Package org.apache.maven.scm.provider.cvslib.cvsexe.command.checkin

## Class CvsExeCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.cvslib.command.checkin.AbstractCvsCheckInCommand
      - - org.apache.maven.scm.provider.cvslib.cvsexe.command.checkin.CvsExeCheckInCommand

All Implemented Interfaces:
  `Command`, `CvsCommand`

    public class CvsExeCheckInCommand
    extends AbstractCvsCheckInCommand

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`NAME`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
`CvsExeCheckInCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected CheckInScmResult` `executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl, CvsScmProviderRepository repository, java.io.File messageFile)`

### Methods inherited from class org.apache.maven.scm.provider.cvslib.command.checkin.AbstractCvsCheckInCommand

`executeCheckInCommand`

### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### CvsExeCheckInCommand

    public CvsExeCheckInCommand()

### Method Detail

#### executeCvsCommand

    protected CheckInScmResult executeCvsCommand​(org.codehaus.plexus.util.cli.Commandline cl,
                                                 CvsScmProviderRepository repository,
                                                 java.io.File messageFile)
                                          throws ScmException

Specified by:
  `executeCvsCommand` in class `AbstractCvsCheckInCommand`
Throws:
  `ScmException`